slepc-3.21.1 2024-04-26
Report Typos and Errors

# LMEGetConvergedReason

Gets the reason why the LMESolve() iteration was stopped.

### Synopsis

    #include "slepclme.h"
    PetscErrorCode LMEGetConvergedReason(LME lme,LMEConvergedReason *reason)

Not Collective

### Input Parameter

| lme | - the linear matrix equation solver context

### Output Parameter

| reason | - negative value indicates diverged, positive value converged

### Notes

Possible values for reason are

| LME_CONVERGED_TOL | - converged up to tolerance
| LME_DIVERGED_ITS | - required more than max_it iterations to reach convergence
| LME_DIVERGED_BREAKDOWN | - generic breakdown in method

Can only be called after the call to LMESolve() is complete.

### See Also

LMESetTolerances(), LMESolve(), LMEConvergedReason, LMESetErrorIfNotConverged()

### Level

intermediate

### Location

src/lme/interface/lmesolve.c

### Examples

src/lme/tutorials/ex32.c
Index of all LME routines
Table of Contents for all manual pages
Index of all manual pages